<div class="wrap">
    <h2><?php echo $this->plugin->displayName; ?></h2>
    <?php
    if ( isset( $this->message ) ) { ?>
        <div class="updated fade"><p><?php echo $this->message; ?></p></div>
    <?php }    
    if ( isset( $this->errorMessage ) ) { ?>
        <div class="error fade"><p><?php echo $this->errorMessage; ?></p></div>
    <?php } ?>
    <div id="poststuff">
    	<div id="post-body" class="metabox-holder columns-2">
            <div id="post-body-content">
                <div id="normal-sortables" class="meta-box-sortables ui-sortable">
                    <div class="postbox">
                        <h3 class="hndle"><?php echo 'Settings'; ?></h3>                        
                        <div class="inside">
                            <form action="options-general.php?page=<?php echo $this->plugin->name; ?>" method="post">
                                <p>
                                    <label for="wpm_options_insert_header"><strong><?php echo 'Scripts in Header'; ?></strong></label>
		                    <textarea name="wpm_options_insert_header" id="wpm_options_insert_header" class="widefat" rows="8"><?php echo $this->settings['wpm_options_insert_header']; ?></textarea>
		                    <?php echo 'These scripts will be printed in the <code>&lt;head&gt;</code> section. Google Analitycs, Yandex WebMaster meta and more.'; ?>
		                </p>
                                <p>
                                    <label for="wpm_options_insert_body"><strong><?php echo 'Scripts in Body'; ?></strong></label>
		                    <textarea name="wpm_options_insert_body" id="wpm_options_insert_body" class="widefat" rows="8"><?php echo $this->settings['wpm_options_insert_body']; ?></textarea>
		                    <?php echo 'These scripts will be printed after the <code>&lt;body&gt;</code> tag. Yandex Metrika and more. <strong>Only for themes supported <code>wp_body_open()</code> function.</strong>'; ?>
		                </p>
                                <p>
                                    <label for="wpm_options_insert_footer"><strong><?php esc_html_e( 'Scripts in Footer', 'insert-headers-and-footers' ); ?></strong></label>
		                    <textarea name="wpm_options_insert_footer" id="wpm_options_insert_footer" class="widefat" rows="8"><?php echo $this->settings['wpm_options_insert_footer']; ?></textarea>
		                    <?php echo 'These scripts will be printed above the <code>&lt;/body&gt;</code> tag. Facebook Pixel, Vk Pixel and more.'; ?>
		                </p>
		                <?php wp_nonce_field( $this->plugin->name, $this->plugin->name . '_nonce' ); ?>
		                <p>
                                    <input name="submit" type="submit" name="Submit" class="button button-primary" value="<?php echo 'Save'; ?>" />
				</p>
                            </form>
                        </div>
                    </div> 
                </div>
            </div>
            <div id="postbox-container-1" class="postbox-container">
    		<?php require_once( $this->plugin->folder . '/views/sidebar.php' ); ?>
            </div>
    	</div>
    </div>
</div>